summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/pd/README7
-rw-r--r--audio/pd/makefile.in.DESTDIR.diff58
-rw-r--r--audio/pd/pd.SlackBuild73
-rw-r--r--audio/pd/pd.info8
-rw-r--r--audio/pd/slack-desc19
5 files changed, 165 insertions, 0 deletions
diff --git a/audio/pd/README b/audio/pd/README
new file mode 100644
index 0000000000..ad275db8ce
--- /dev/null
+++ b/audio/pd/README
@@ -0,0 +1,7 @@
+pd - Pure Data, by Miller Puckette
+
+pd is a real-time audio synthesis/processing package.
+It is one of the "MUSIC N" family members, open source
+(BSD style) successor of the MAX branch. This package
+contains just the core of Pd, more external objetcs have
+been written, many of them are in the CVS at SourceForge.
diff --git a/audio/pd/makefile.in.DESTDIR.diff b/audio/pd/makefile.in.DESTDIR.diff
new file mode 100644
index 0000000000..681c8d453c
--- /dev/null
+++ b/audio/pd/makefile.in.DESTDIR.diff
@@ -0,0 +1,58 @@
+Patch to make pd honor DESTDIR completely.
+Permission is granted to use this patch as you see fit.
+ -- Robby Workman <rworkman@slackbuilds.org>
+
+
+--- pd-0.40-3/src/makefile.in.orig 2007-12-10 23:49:08.977673553 -0600
++++ pd-0.40-3/src/makefile.in 2007-12-10 23:49:37.421067260 -0600
+@@ -145,31 +145,31 @@
+
+ BINARYMODE=@binarymode@
+
+-ABOUT_FILE=$(pddocdir)/1.manual/1.introduction.txt
++ABOUT_FILE=$(DESTDIR)/$(pddocdir)/1.manual/1.introduction.txt
+ install: all
+- install -d $(libpdbindir)
+- install $(BIN_DIR)/$(GUINAME) $(libpdbindir)/$(GUINAME)
+- install $(BIN_DIR)/pd-watchdog $(libpdbindir)/pd-watchdog
+- install -m644 $(BIN_DIR)/pd.tk $(libpdbindir)/pd.tk
++ install -d $(DESTDIR)/$(libpdbindir)
++ install $(BIN_DIR)/$(GUINAME) $(DESTDIR)/$(libpdbindir)/$(GUINAME)
++ install $(BIN_DIR)/pd-watchdog $(DESTDIR)/$(libpdbindir)/pd-watchdog
++ install -m644 $(BIN_DIR)/pd.tk $(DESTDIR)/$(libpdbindir)/pd.tk
+ install -d $(DESTDIR)$(bindir)
+ install $(BINARYMODE) $(PDEXEC) $(DESTDIR)$(bindir)/pd
+ install -m755 $(BIN_DIR)/pdsend $(DESTDIR)$(bindir)/pdsend
+ install -m755 $(BIN_DIR)/pdreceive $(DESTDIR)$(bindir)/pdreceive
+ for dir in $(shell ls -1 ../doc | grep -v CVS); do \
+ echo "installing $$dir"; \
+- install -d $(pddocdir)/$$dir ; \
+- install -p ../doc/$$dir/*.* $(pddocdir)/$$dir ; \
++ install -d $(DESTDIR)/$(pddocdir)/$$dir ; \
++ install -p ../doc/$$dir/*.* $(DESTDIR)/$(pddocdir)/$$dir ; \
+ done
+ for dir in $(shell ls -1 ../doc/7.stuff | grep -v CVS); do \
+ echo "installing 7.stuff/$$dir"; \
+- install -d $(pddocdir)/7.stuff/$$dir ; \
+- install -p ../doc/7.stuff/$$dir/*.* $(pddocdir)/7.stuff/$$dir ; \
++ install -d $(DESTDIR)/$(pddocdir)/7.stuff/$$dir ; \
++ install -p ../doc/7.stuff/$$dir/*.* $(DESTDIR)/$(pddocdir)/7.stuff/$$dir ; \
+ done
+ mv $(ABOUT_FILE) $(ABOUT_FILE).tmp
+ cat $(ABOUT_FILE).tmp | sed 's|PD_VERSION|Pd version $(PD_VERSION)|' \
+ > $(ABOUT_FILE)
+ rm $(ABOUT_FILE).tmp
+- cp -pr ../extra $(libpddir)/
++ cp -pr ../extra $(DESTDIR)/$(libpddir)/
+ rm -f $(libpddir)/extra/*/*.o
+ install -d $(DESTDIR)$(includedir)
+ install -m644 m_pd.h $(DESTDIR)$(includedir)/m_pd.h
+@@ -212,7 +212,7 @@
+ $(CC) $(CPPFLAGS) -M $(SRC) > makefile.dependencies
+
+ uninstall:
+- rm -f -r $(libpddir)
++ rm -f -r $(DESTDIR)/$(libpddir)
+ rm -f $(DESTDIR)$(bindir)/pd
+ rm -f $(DESTDIR)$(bindir)/pdsend
+ rm -f $(DESTDIR)$(bindir)/pdreceive
diff --git a/audio/pd/pd.SlackBuild b/audio/pd/pd.SlackBuild
new file mode 100644
index 0000000000..81cbf40658
--- /dev/null
+++ b/audio/pd/pd.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for Pure Data
+
+# Written by ilya .d <errordeveloper-AT-gmail-DOT-com>
+# Modified by Robby Workman <rworkman@slackbuilds.org> with minor stuff:
+# -fix makefile patch to use DESTDIR correctly
+# -miscellanous script tweaks
+# No additional license terms
+
+PRGNAM=pd
+SRC_VERSION=0.40-3
+VERSION=$(echo $SRC_VERSION | tr - .)
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRC_VERSION.src.tar.gz
+cd $PRGNAM-$SRC_VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Fix DESTDIR support in the makefile source
+patch -p1 < $CWD/makefile.in.DESTDIR.diff
+
+cd src
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --datadir=/usr/share/pd \
+ --localstatedir=/var \
+ --enable-alsa \
+ --enable-setuid
+ make
+ make install \
+ pddocdir=/usr/doc/$PRGNAM-$VERSION \
+ DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL.txt README.txt LICENSE.txt src/CHANGELOG.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/pd/pd.info b/audio/pd/pd.info
new file mode 100644
index 0000000000..b9e9e72dab
--- /dev/null
+++ b/audio/pd/pd.info
@@ -0,0 +1,8 @@
+PRGNAM="pd"
+VERSION="0.40.3"
+HOMEPAGE="http://www-crca.ucsd.edu/~msp/software.html"
+DOWNLOAD="http://www-crca.ucsd.edu/~msp/Software/pd-0.40-3.src.tar.gz"
+MD5SUM="76212ab15736eec89d8745e73ab954a3"
+MAINTAINER="errordeveloper"
+EMAIL="errordeveloper[AT]gmail.com"
+APPROVED="rworkman"
diff --git a/audio/pd/slack-desc b/audio/pd/slack-desc
new file mode 100644
index 0000000000..572f89f12f
--- /dev/null
+++ b/audio/pd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pd: pd (Pure Data, by Miller Puckette)
+pd:
+pd: pd is a real-time audio synthesis/processing package.
+pd: It is one of the "MUSIC N" family members, open source
+pd: (BSD style) successor of the MAX branch. This package
+pd: contains just the core of Pd, more external objetcs have
+pd: been written, many of them are in the CVS at SourceForge.
+pd:
+pd: Community resource: http://puredata.info
+pd:
+pd: